WALL(1)

NUME
wall - write a message to all users

REZUMAT

wall [-n] [-t durata] [-g grup] [mesajul | fișier]

DESCRIERE

wall afișează un mesaj sau conținutul unui fișier sau, în caz contrar, intrarea sa standard, pe terminalele tuturor utilizatorilor conectați în acel moment. Comanda va încadra liniile care au mai mult de 79 de caractere. Liniile scurte sunt umplute cu spațiu alb pentru a avea 79 de caractere. Comanda va pune întotdeauna un retur de cărucior și o linie nouă la sfârșitul fiecărei linii.

Numai superutilizatorul poate scrie pe terminalele utilizatorilor care au ales să refuze mesaje sau care utilizează un program care refuză automat mesajele.

Citirea dintr-un fișier este refuzată atunci când apelantul nu este un superutilizator și programul are activat bitul-uid sau bitul-gid.

OPȚIUNI

-n, --nobanner
    Suprimă pancarta.

-t, --timeout așteptare
    Abandonează încercarea de scriere în terminale după expirarea duratei de secunde. Această durată trebuie să fie un număr întreg pozitiv. Valoarea implicită este de 300 de secunde, care este o moștenire din perioada în care se foloseau terminale prin linii de modem.

-g, --group grup
    Limitează afișarea mesajului la membrii grupului definit ca argument grup. Argumentul poate fi numele grupului sau identificatorul grupului (GID).

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

NOTE

Unele sesiuni, cum ar fi wdm(1x), care au la începutul datelor ut_type utmp(5) un caracter „:” nu vor primi mesajul de la wall. Acest lucru se face pentru a evita erorile de scriere.

ISTORIC

Comanda wall a apărut în versiunea 7 AT&T UNIX.

CONSULTAȚI ȘI

mesg(1), talk(1), write(1), shutdown(8)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda wall face parte din pachetul util-linux care poate fi descărcat de la